ios - Ionic 3 - cocoapods 的 xcode 错误

标签 ios xcode push-notification cocoapods ionic3

我尝试构建一个带有推送通知的 ionic 3 应用程序,但我在 iOS 部署方面遇到了一些问题。

我在 xcode 中有这 3 个错误:

diff: /Podfile.lock: No such file or directory
diff: /Manifest.lock: No such file or directory
error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.

我已经尝试了很多我在网上找到的解决方案:

  • 使用命令“pod install”、“pod update”

  • 删除并安装 CocoaPods

  • 更新 CocoaPods

  • 删除“Pods”文件夹、“Podfile.lock”和“Podfile”并运行“pod install”命令。

  • 从 Librairies 的链接二进制文件中删除 libPods-myApp.a。

但是没有什么是有效的...

我真的不知道我必须做什么。

我的播客文件:

# DO NOT MODIFY -- auto-generated by Apache Cordova
platform :ios, '8.0'
target 'MyProject' do
    project 'MyProject.xcodeproj'
    pod 'GoogleCloudMessaging', '~> 1.2.0'
    pod 'GGLInstanceID', '~> 1.2.1'
end

我的 Podfile.lock :

PODS:
  - GGLInstanceID (1.2.1)
  - GoogleCloudMessaging (1.2.0):
    - GoogleInterchangeUtilities (~> 1.0)
    - GoogleIPhoneUtilities (~> 1.0)
    - GoogleSymbolUtilities (~> 1.0)
  - GoogleInterchangeUtilities (1.2.2):
    - GoogleSymbolUtilities (~> 1.1)
  - GoogleIPhoneUtilities (1.2.1):
    - GoogleSymbolUtilities (~> 1.0)
    - GoogleUtilities (~> 1.0)
  - GoogleSymbolUtilities (1.1.2)
  - GoogleUtilities (1.3.2):
    - GoogleSymbolUtilities (~> 1.1)

DEPENDENCIES:
  - GGLInstanceID (~> 1.2.1)
  - GoogleCloudMessaging (~> 1.2.0)

SPEC CHECKSUMS:
  GGLInstanceID: 4a317044f744281b82cd03015f379899f277cad3
  GoogleCloudMessaging: f37ea14dd0f41d4d889c10b5559dd35bbfd9ac26
  GoogleInterchangeUtilities: d5bc4d88d5b661ab72f9d70c58d02ca8c27ad1f7
  GoogleIPhoneUtilities: 63f25e93a3ddcb66884d182aab3a660d98f1479b
  GoogleSymbolUtilities: 631ee17048aa5e9ab133470d768ea997a5ef9b96
  GoogleUtilities: 8bbc733218aad26306f9d4a253823986110e3358

PODFILE CHECKSUM: 0ff66d442dc6f28bf0fbc7a6b12af811ecc9a43c

COCOAPODS: 1.2.1

更新

我的 [CP] 检查 Pod Manifest.lock:

diff "${PODS_PODFILE_DIR_PATH}/Podfile.lock" "${PODS_ROOT}/Manifest.lock" > /dev/null
if [ $? != 0 ] ; then
    # print error to STDERR
    echo "error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation." >&2
    exit 1
fi

我真的需要帮助。 :(

更新

我已将 [CP] Check Pods Manifest.lock 修改为:

diff "${SRCROOT}/Podfile.lock" "${SRCROOT}/Pods/Manifest.lock" > /dev/null
if [ $? != 0 ] ; then
    # print error to STDERR
    echo "error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation." >&2
    exit 1
fi

我的树错误消失了,但我有这个新错误:

 Module 'FirebaseInstanceID' not found

enter image description here

我不知道为什么。我尝试运行 pod install 但没有区别。

最佳答案

尝试

pod repo update
pod install

关于ios - Ionic 3 - cocoapods 的 xcode 错误,我们在Stack Overflow上找到一个类似的问题: https://stackoverflow.com/questions/45059173/

相关文章:

ios - 使用 GCM ios 9 时我应该在哪里处理推送通知

android - 获取移动应用程序(Android 或 iOS)的 facebook 流更新

ios - Firebase:提供的存储桶与 Swift 中当前实例的存储桶不匹配

ios - 获取的结果 Controller 不会在运行时更新表

cocoa-touch - 内置 UIView 动画的核心动画等价物

ios - UILabel 和 UIButton - 截断标签而不是按钮

ios - 如何在 nib/storyboard 的 UITextView 中换行?

ios - 内购成功时调用函数

json - 变量 json = [ :] null dictionary

java - 推送通知中未显示图像